Contributing to HackathonToolkit
================================

Thank you for considering contributing to HackathonToolkit! Your contributions help to make this project better for everyone. Below are guidelines to help you get started:

How Can I Contribute?
---------------------

### Reporting Issues

If you encounter any bugs, issues, or have suggestions for improvements, please open an issue on our GitHub repository. When reporting issues, provide as much detail as possible, including the steps to reproduce the problem, the expected behavior, and your environment.

### Contributing Code

1.  **Fork the Repository:** Start by forking the repository to your own GitHub account.

2.  **Clone the Repository:** Clone the repository to your local machine using:


 ```bash
git clone https://github.com/MoutasimQazi/HackathonToolkit.git
 ```

3.  **Create a Branch:** Create a new branch for your feature or bug fix:

```bash
git checkout -b feature/your-feature-name
 ``` 

4.  **Make Changes:** Make your changes to the codebase. Ensure that your code follows the existing code style and conventions.

5.  **Test Your Changes:** Run tests to make sure everything is working correctly:


 ```bash
pytest
 ```

6.  **Push Changes:** Push your changes to your forked repository:

 ```bash
git push origin feature/your-feature-name
 ```

7.  **Submit a Pull Request:** Go to the HackathonToolkit repository on GitHub and submit a pull request. Provide a clear description of your changes and why they are beneficial.

### Code Style

-   Follow Python's PEP 8 style guide.
-   Write clear, concise comments and documentation where necessary.
-   Use meaningful variable and function names.
-   Ensure `__init__.py` files only use explicit imports (`from filename import functionname`).

### Code of Conduct

Please note that we have a Code of Conduct that we expect all contributors to adhere to. Help us keep HackathonToolkit open and inclusive.

### Getting Help

If you need any help or have questions, please don't hesitate to reach out. You can contact us directly or create an issue on GitHub.

Thank you for contributing to HackathonToolkit and making it better for everyone!